#
# Conditional build:
%bcond_with	tests	# unit/functional tests
%bcond_with	doc	# build Sphinx documentation (already built docs included in dist as of 0.9.7)
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module

%define 	module	httpretty
Summary:	HTTP client mock for Python
Summary(pl.UTF-8):	Atrapa klienta HTTP dla Pythona
Name:		python-%{module}
# note: keep 0.9.x here for python2 support
Version:	0.9.7
Release:	8
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/httpretty/
Source0:	https://files.pythonhosted.org/packages/source/h/httpretty/httpretty-%{version}.tar.gz
# Source0-md5:	2fc3d0dc986200be95ce8ad3ef56bc04
Patch0:		%{name}-mock.patch
URL:		https://httpretty.readthedocs.io/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-coverage
BuildRequires:	python-httplib2
BuildRequires:	python-mock
BuildRequires:	python-nose
BuildRequires:	python-nose_randomly
BuildRequires:	python-rednose
BuildRequires:	python-requests
BuildRequires:	python-six >= 1.11.0
BuildRequires:	python-sure >= 1.2.24
BuildRequires:	python-tornado
BuildRequires:	python3-urllib3
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-coverage
BuildRequires:	python3-httplib2
BuildRequires:	python3-nose
BuildRequires:	python3-nose_randomly
BuildRequires:	python3-rednose
BuildRequires:	python3-requests
BuildRequires:	python3-six >= 1.11.0
BuildRequires:	python3-sure >= 1.2.24
BuildRequires:	python3-tornado
BuildRequires:	python3-urllib3
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTTP client mock for Python.

%description -l pl.UTF-8
Atrapa klienta HTTP dla Pythona.

%package -n python3-%{module}
Summary:	HTTP client mock for Python
Summary(pl.UTF-8):	Atrapa klienta HTTP dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.6

%description -n python3-%{module}
HTTP client mock for Python.

%description -n python3-%{module} -l pl.UTF-8
Atrapa klienta HTTP dla Pythona.

%package apidocs
Summary:	API documentation for Python httpretty module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona httpretty
Group:		Documentation

%description apidocs
API documentation for Python httpretty module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona httpretty.

%prep
%setup -q -n %{module}-%{version}
%patch -P 0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
sphinx-build-3 -b html -d docs/build/doctrees docs/source docs/build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc COPYING README.rst
%{py_sitescriptdir}/httpretty
%{py_sitescriptdir}/httpretty-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc COPYING README.rst
%{py3_sitescriptdir}/httpretty
%{py3_sitescriptdir}/httpretty-%{version}-py*.egg-info
%endif

%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_modules,_static,*.html,*.js}
%changelog
* Sun Apr 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-httpretty.git;a=log;h=master

* Mon Apr 28 2025 Jan Rękorajski <baggins@pld-linux.org> 3b147b2
- python2 only; tests need network, so off; rel 8

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> e3f6a19
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e082b86
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 085b0e4
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9945825
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4bc48b7
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f6e5b6a
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> cc7f46d
- release 2 (by relup.sh)

* Sun Jun 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 8ea9bff
- added mock patch (don't require separate mock under py3, use unittest.mock instead)
- enabled tests by default

* Sun Jun 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 336016a
- updated to 0.9.7
- removed outdated test-deps patch

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ac97811
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e1f48b1
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6245921
- python 3.6
- release 2 (by relup.sh)

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> 3ed7399
- enable python3 package as is

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> 4ad898a
- update test BR

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> bb7daaf
- loosen test deps

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> fb7dbc4
- up to 0.8.14

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d4739ac
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6f905ba
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 840eb0b
- automatic change: use py_build/py_install macros

